<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://www.p1gsel.com/p1gwars/index.php?action=history&amp;feed=atom&amp;title=Template%3ASticky_header%2Fstyles.css</id>
	<title>Template:Sticky header/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://www.p1gsel.com/p1gwars/index.php?action=history&amp;feed=atom&amp;title=Template%3ASticky_header%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Sticky_header/styles.css&amp;action=history"/>
	<updated>2026-04-19T18:05:28Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.1</generator>
	<entry>
		<id>https://www.p1gsel.com/p1gwars/index.php?title=Template:Sticky_header/styles.css&amp;diff=10310&amp;oldid=prev</id>
		<title>P1gsel: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Sticky_header/styles.css&amp;diff=10310&amp;oldid=prev"/>
		<updated>2026-04-18T12:39:03Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 14:39, 18 April 2026&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;4&quot; class=&quot;diff-notice&quot; lang=&quot;en&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;
&lt;!-- diff cache key p1gsel_wiki:diff:1.41:old-10309:rev-10310 --&gt;
&lt;/table&gt;</summary>
		<author><name>P1gsel</name></author>
	</entry>
	<entry>
		<id>https://www.p1gsel.com/p1gwars/index.php?title=Template:Sticky_header/styles.css&amp;diff=10309&amp;oldid=prev</id>
		<title>wikipedia&gt;Pppery: Changed protection settings for &quot;Template:Sticky header/styles.css&quot;: High-risk template or module ([Edit=Require template editor access] (indefinite) [Move=Require template editor access] (indefinite))</title>
		<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Sticky_header/styles.css&amp;diff=10309&amp;oldid=prev"/>
		<updated>2025-08-11T23:08:05Z</updated>

		<summary type="html">&lt;p&gt;Changed protection settings for &amp;quot;&lt;a href=&quot;/p1gwars/wiki/Template:Sticky_header/styles.css&quot; title=&quot;Template:Sticky header/styles.css&quot;&gt;Template:Sticky header/styles.css&lt;/a&gt;&amp;quot;: &lt;a href=&quot;/p1gwars/index.php?title=WP:High-risk_templates&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;WP:High-risk templates (page does not exist)&quot;&gt;High-risk template or module&lt;/a&gt; ([Edit=Require template editor access] (indefinite) [Move=Require template editor access] (indefinite))&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* {{pp-template}} */&lt;br /&gt;
/**&lt;br /&gt;
 * Make first row or thead element top sticky.&lt;br /&gt;
 *&lt;br /&gt;
 * Table classes:&lt;br /&gt;
 * - sticky-header: sticky first row.&lt;br /&gt;
 * - sticky-header-multi: sticky thead; headers moved via sortable + JavaScript.&lt;br /&gt;
 *&lt;br /&gt;
 * Tested:&lt;br /&gt;
 * - Windows 10: (all skins) Chrome, Firefox, Edge.&lt;br /&gt;
 * - Android Galaxy S21 (Minerva): Chrome, Firefox.&lt;br /&gt;
 * - iPhone SE 2020 (Minerva): Chrome, Edge, Firefox, Opera, Safari.&lt;br /&gt;
 * - Wikipedia Android app.&lt;br /&gt;
 * - Print: Not styled.&lt;br /&gt;
 * - No JavaScript.&lt;br /&gt;
 *&lt;br /&gt;
 * Notes:&lt;br /&gt;
 * - Sortable moves to thead any header rows and (after sort) sorttop rows.&lt;br /&gt;
 * - Sticky gadget (.mw-sticky-header) moves to thead any wikitable header rows.&lt;br /&gt;
 *&lt;br /&gt;
 * Issues:&lt;br /&gt;
 * - Sticky in Timeless any width and other skins at &amp;lt;=639px width: tables wider&lt;br /&gt;
 *   than content area overflow and horizontal table scroll lost.&lt;br /&gt;
 * - Monobook &amp;lt;=550px width, can&amp;#039;t override style:&lt;br /&gt;
 *   body.skin--responsive .monobook-body {overflow: auto;}&lt;br /&gt;
 */&lt;br /&gt;
@media screen and (min-width: 640px) {&lt;br /&gt;
  /**&lt;br /&gt;
   * Make top sticky.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-header &amp;gt; thead &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header &amp;gt; caption + tbody &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header &amp;gt; tbody:first-child &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header-multi &amp;gt; thead {&lt;br /&gt;
    position: sticky; /* Was &amp;quot;static&amp;quot;. */&lt;br /&gt;
    top: 0;&lt;br /&gt;
    z-index: 10;&lt;br /&gt;
  }&lt;br /&gt;
  /* Timeless overflowed tables not sticky. */&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header &amp;gt; thead &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header &amp;gt; caption + tbody &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header &amp;gt; tbody:first-child &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header-multi &amp;gt; thead {&lt;br /&gt;
    position: static; /* Reset to prior. */&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix scrolling data shows through sticky&amp;#039;s transparent background.&lt;br /&gt;
   */&lt;br /&gt;
  /* Plain table headers. */&lt;br /&gt;
  .sticky-header:not(.wikitable),&lt;br /&gt;
  .sticky-header-multi:not(.wikitable) {&lt;br /&gt;
    background-color: var(--color-inverted, #fff);&lt;br /&gt;
  }&lt;br /&gt;
  /* Plain table headers. */&lt;br /&gt;
  .sticky-header:not(.wikitable) &amp;gt; *, /* For thead, tbody. */&lt;br /&gt;
  .sticky-header:not(.wikitable) &amp;gt; thead &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header:not(.wikitable) &amp;gt; caption + tbody &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header:not(.wikitable) &amp;gt; tbody:first-child &amp;gt; tr:first-child,&lt;br /&gt;
  .sticky-header-multi:not(.wikitable) &amp;gt; thead,&lt;br /&gt;
  /* Wikitable and plain table .sorttop rows after sort. */&lt;br /&gt;
  .sticky-header-multi &amp;gt; thead {&lt;br /&gt;
    background-color: inherit;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix missing borders due to sticky position and wikitable collapsed borders.&lt;br /&gt;
   * https://bugs.webkit.org/show_bug.cgi?id=128486&lt;br /&gt;
   *&lt;br /&gt;
   * Skip rare plain table separated borders, which sometimes shows scrolling&lt;br /&gt;
   * data through sticky&amp;#039;s 2px &amp;quot;border-spacing&amp;quot;.&lt;br /&gt;
   *&lt;br /&gt;
   * Skip very rare Timeless plain table &amp;quot;.mw-datatable&amp;quot; collapsed boarders.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-header.wikitable,&lt;br /&gt;
  .sticky-header-multi.wikitable {&lt;br /&gt;
    border-collapse: separate; /* Was &amp;quot;collapse&amp;quot;. */&lt;br /&gt;
    border-spacing: 0;&lt;br /&gt;
    border-width: 0 1px 1px 0;&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-header.wikitable td,&lt;br /&gt;
  .sticky-header.wikitable th,&lt;br /&gt;
  .sticky-header-multi.wikitable td,&lt;br /&gt;
  .sticky-header-multi.wikitable th {&lt;br /&gt;
    border-width: 1px 0 0 1px;&lt;br /&gt;
  }&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header.wikitable,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header-multi.wikitable {&lt;br /&gt;
    border-bottom-width: 0.2em;&lt;br /&gt;
    padding: 0;&lt;br /&gt;
  }&lt;br /&gt;
  /* Adjust {{static row numbers}} borders. */&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable tr::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable tr::before {&lt;br /&gt;
    border-left-width: 1px;&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable &amp;gt; thead &amp;gt; tr:first-child::before,&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable &amp;gt; caption + tbody &amp;gt; tr:first-child::before,&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable &amp;gt; tbody:first-child &amp;gt; tr:first-child::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable &amp;gt; thead &amp;gt; tr:first-child::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable &amp;gt; caption + tbody &amp;gt; tr:first-child::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable &amp;gt; tbody:first-child &amp;gt; tr:first-child::before,&lt;br /&gt;
  /* Sortbotton #1: all. When supported, consolidate #1-2 to tr:nth-child(1 of .sortbottom)::before */&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable .sortbottom::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable .sortbottom::before {&lt;br /&gt;
    border-top-width: 1px;&lt;br /&gt;
  }&lt;br /&gt;
  /* Sortbottom #2: all minus 1st. */&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable .sortbottom ~ .sortbottom::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable .sortbottom ~ .sortbottom::before {&lt;br /&gt;
    border-top-width: 0;&lt;br /&gt;
  }&lt;br /&gt;
  /* After sort, &amp;quot;tbody:first-of-type&amp;quot; targets &amp;quot;tbody&amp;gt;tr:first-child&amp;quot;. */&lt;br /&gt;
  .sticky-header.static-row-numbers.wikitable &amp;gt; tbody:first-of-type &amp;gt; tr:not(.static-row-header)::before,&lt;br /&gt;
  .sticky-header-multi.static-row-numbers.wikitable &amp;gt; tbody:first-of-type &amp;gt; tr:not(.static-row-header)::before {&lt;br /&gt;
    border-bottom-width: 0;&lt;br /&gt;
    border-right-width: 0;&lt;br /&gt;
  }&lt;br /&gt;
  /* Timeless overflowed tables not sticky. */&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header.wikitable,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper.overflowed .sticky-header-multi.wikitable {&lt;br /&gt;
    border-collapse: collapse; /* Reset to prior. */&lt;br /&gt;
    border-width: 1px; /* Reset to prior. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Adjust to other sticky elements.&lt;br /&gt;
 */&lt;br /&gt;
@media screen and (min-width: 1120px) {&lt;br /&gt;
  /* Vector (2022) width &amp;gt;=1120px: Below sticky header bar. */&lt;br /&gt;
  body.vector-sticky-header-visible .sticky-header &amp;gt; thead &amp;gt; tr:first-child,&lt;br /&gt;
  body.vector-sticky-header-visible .sticky-header &amp;gt; caption + tbody &amp;gt; tr:first-child,&lt;br /&gt;
  body.vector-sticky-header-visible .sticky-header &amp;gt; tbody:first-child &amp;gt; tr:first-child,&lt;br /&gt;
  body.vector-sticky-header-visible .sticky-header-multi &amp;gt; thead {&lt;br /&gt;
    top: 3.125rem;&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
@media screen and (min-width: 851px) {&lt;br /&gt;
  /* Timeless width &amp;gt;=851px: Below sticky header bar. */&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header &amp;gt; thead &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header &amp;gt; caption + tbody &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header &amp;gt; tbody:first-child &amp;gt; tr:first-child,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header-multi &amp;gt; thead {&lt;br /&gt;
    top: 3.51em;&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Fix &amp;quot;Sticky Table Headers&amp;quot; gadget issues; this template has priority.&lt;br /&gt;
 */&lt;br /&gt;
@media screen {&lt;br /&gt;
  .sticky-header.jquery-tablesorter &amp;gt; thead,&lt;br /&gt;
  .sticky-header.mw-sticky-header &amp;gt; thead {&lt;br /&gt;
    position: static; /* Was &amp;quot;sticky&amp;quot;. */&lt;br /&gt;
    top: auto; /* Was &amp;quot;0&amp;quot;. */&lt;br /&gt;
    z-index: auto; /* Was &amp;quot;10&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-header.jquery-tablesorter &amp;gt; tfoot,&lt;br /&gt;
  .sticky-header.mw-sticky-header &amp;gt; tfoot,&lt;br /&gt;
  .sticky-header-multi.jquery-tablesorter &amp;gt; tfoot,&lt;br /&gt;
  .sticky-header-multi.mw-sticky-header &amp;gt; tfoot {&lt;br /&gt;
    position: static; /* Was &amp;quot;sticky&amp;quot;. */&lt;br /&gt;
    bottom: auto; /* Was &amp;quot;0&amp;quot;. */&lt;br /&gt;
    z-index: auto; /* Was &amp;quot;10&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
@media screen and (min-width: 1120px) {&lt;br /&gt;
  body.skin-vector-2022.vector-sticky-header-visible .sticky-header.jquery-tablesorter &amp;gt; thead {&lt;br /&gt;
    top: auto; /* Was &amp;quot;3.125rem&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
  html.client-js.vector-sticky-header-enabled .sticky-header .mw-sticky-header-element {&lt;br /&gt;
    top: auto !important; /* Was &amp;quot;3.125rem !important&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
@media screen and (min-width: 851px) {&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header.jquery-tablesorter &amp;gt; thead,&lt;br /&gt;
  body.skin-timeless .content-table-wrapper:not(.overflowed) .sticky-header.mw-sticky-header &amp;gt; thead {&lt;br /&gt;
    top: auto; /* Was &amp;quot;3.125rem&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>wikipedia&gt;Pppery</name></author>
	</entry>
</feed>